System.ServiceModel 4.0.0.0 System.Enum

The default value is . means that the message is a literal instance of the schema in the WSDL as shown in the following Document/Literal example.

`<Add xmlns="http://Microsoft.ServiceModel.Samples"> <n1>100</n1> <n2>15.99</n2> </Add>`

means that the schemas in the WSDL are abstract specifications that are encoded according to the rules found in SOAP 1.1 section 5. The following is an RPC/Encoded example.

`<q1:Add xmlns:q1="http://Microsoft.ServiceModel.Samples"> <n1 xsi:type="xsd:double" xmlns="">100</n1> <n2 xsi:type="xsd:double" xmlns="">15.99</n2> </q1:Add>`

Use the to set this value.

Determines the format of the message.

- Field
  4.0.0.0
  System.ServiceModel.OperationFormatUse

  Implies that the schemas in the WSDL are abstract specifications that are encoded according to the rules found in SOAP 1.1 section 5.

- Field
  4.0.0.0
  System.ServiceModel.OperationFormatUse

  Implies that the message is a literal instance of the schema in the WSDL.